QGIS Application - Bug report #1966
qgis don't start after grass upgrade
2009-10-02 12:14 AM - torstenosgeo -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 12026
Description

Package: qgis
Version: 1.1.0~gfossit20090602-1
Severity: normal

Hallo,

it is temporarely possible to install grass6.4rc5 via aptitude. After the update it is'nt possible to start qgis because incompatibel versions.
Please make qgis able to be running without grass or with different grass versions. So that it is possible to work with up to date versions
of grass and qgis.

Thanks
Torsten

-- System Information:
Debian Release: squeeze/sid

APT prefers testing

APT policy: (990, 'testing’), (90, 'unstable’)
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages qgis depends on:

ii libcé 2.9-4 GNU C Library: Shared libraries

ii libexpati 2.0.1-4 XML parsing C library - runtime li

ii libgect 1:4.4.1-1 GCC support library

ii libgdal1-1.5.0 1.5.4-4 Geospatial Data Abstraction Librar
ii libgeos-c1 3.1.0-1 Geometry engine for Geographic Inf
i libgslOldbl  1.12+dfsg-1 GNU Scientific Library (GSL) -- li
i libpg5 8.4.0-2+b1 [[PostgreSQL]] C client library

ii libprojo 46.1-5 Cartographic projection library

ii libggis1.1.0 1.1.0~gfossit20090602-1 Quantum GIS - shared libraries
ii libgt4-network 4:4.5.2-2 Qt 4 network module

i libqt4-sql  4:4.5.2-2 Qt 4 SQL module

i libqt4-svg  4:4.5.2-2 Qt 4 SVG module

i libgt4-xml  4:4.5.2-2 Qt 4 XML module

ii libgtcore4  4:45.2-2 Qt 4 core module

ii libgtgui4 4:45.2-2 Qt 4 GUI module

i libstdc++6  4.4.1-1 The GNU Standard C++ Library v3
ii libx11-6 2:1.2.11 X11 client-side library
ii libxext6 2:1.0.4-1 X11 miscellaneous extension librar
i ggis-common  1.1.0~gfossit20090602-1 Quantum GIS - architecture-indepen

Versions of packages qgis recommends:
i python-qgis  1.1.0~gfossit20090602-1 Python bindings to Quantum GIS
ii qgis-plugin-gras 1.1.0~gfossit20090602-1 GRASS plugin for Quantum GIS

Versions of packages qgis suggests:
ii gpsbabel 1.3.6-3 GPS file conversion plus transfer

History

#1 - 2009-10-02 02:27 AM - Paolo Cavallini
- Resolution set to invalid
- Status changed from Open to Closed

Not a QGIS issue: the package is not aligned to testing. Please note that the package is not official, and until we'll not have QGIS into debian these things

can happen.

#2 - 2009-10-02 06:21 AM - Jiirgen Fischer

Replying to torstenosgeo:

Hallo,

Auch Hallo ;)

it is temporarely possible to install grass6.4rc5 via aptitude. After the update it is'nt possible to start qgis because incompatibel versions. Please

make qgis able to be running without grass or with different grass versions. So that it is possible to work with up to date versions of grass and qgis.

Why not simply remove the qgis-plugin-grass?

Jirgen

2025-04-27 22



/issues/show/1966

